Skip to main content
GET
/
v1
/
stats
/
status-repartition
Get call status distribution
curl --request GET \
  --url https://api.example.com/v1/stats/status-repartition \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "status": "NOT_INITIATED",
      "count": 123,
      "date": "2023-10-01T00:00:00.000Z"
    }
  ],
  "nonCalledCount": 123
}

Authorizations

Authorization
string
header
required

Enter your API Key (sk_live_xxx or sk_test_xxx)

Query Parameters

sequenceId
string

Filter by sequence ID

userMembershipId
string

Filter by user membership ID

granularity
enum<string>
default:none

Time granularity for grouping results

Available options:
hour,
day,
week,
month,
none
startDate
string

Start date (ISO format)

endDate
string

End date (ISO format)

teamId
string

Filter by team ID (must be within API key scope)

Response

Status distribution statistics

data
object[]
required
nonCalledCount
number
required

Number of contacts that have not been called yet